@charset "UTF-8";

/**
 * Table of Contents
 *
 * おすすめバナー
 * メインブロック
 * サイドブロック
 * レスポンシブ
 *
 */

/* ==========================================================================
   おすすめバナー
   ========================================================================== */
.recommendation-slider {
  position: relative;
  margin-bottom: 30px;
  padding: 0 30px;
  height: 150px;
}

.recommendation-slider__inner {
  width: 100%;
  height: 100%;
  padding: 22px 38px 23px;
  border-radius: 5px;
  box-sizing: border-box;
  box-shadow: 1px 1px 2px 0 rgba(102,102,102,0.2) inset;
  background: #f5f5f5;
}

.recommendation-slider__container {
  position: relative;
  overflow: hidden;
  width: 100%;
  height: 100%;
}

.recommendation-slider__wrapper {
  overflow: hidden;
  width: 100%;
  height: 100%;
}

.recommendation-slider__slide {
  position: relative;
  float: left;
  height: 100%;
}

.recommendation-slider__slide img {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
  max-width: 92%;
}

.recommendation-slider__btn {
  position: absolute;
  top: 0;
  bottom: 0;
  margin: auto 0;
  border-radius: 5px;
  width: 30px;
  height: 58px;
  background-color: #ccc;
  background-position: 50% 50%;
  background-repeat: no-repeat;
  cursor: pointer;
  transition: background-color .2s linear, background-position .05s linear;
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
}

.recommendation-slider__btn--prev {
  left: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  background-image: url(/common/images/icon_arrow-prev-1.png);
}

.recommendation-slider__btn--next {
  right: 0;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
  background-image: url(/common/images/icon_arrow-next-1.png);
}

.recommendation-slider__btn:hover {
  background-color: #e0e0e0;
}

.recommendation-slider__btn--prev:active {
  background-position: 43% 50%;
}

.recommendation-slider__btn--next:active {
  background-position: 57% 50%;
}


/* ==========================================================================
   サイドブロック
   ========================================================================== */
.side-block {
  margin-left: -200px;
  width: 200px;
}

/* ==========================================================================
   レスポンシブ
   ========================================================================== */
/** タブレット **/
@media only screen and (max-width: 860px) {
  .main-block,
  .side-block {
    clear: both;
    float: none;
    width: 100%;
  }

  .main-block {
    padding-right: 0;
  }

  .side-block {
    padding-top: 20px;
    margin-left: 0;
  }
  
}

/** スマートフォン **/
@media only screen and (max-width: 767px) {
  .recommendation-slider {
    margin: 20px 0;
    height: 90px;
  }

  .recommendation-slider__inner {
    width: auto;
    margin: 0 34px;
    padding: 0;
    box-shadow: none;
    background: none;
  }

  .recommendation-slider__btn {
    width: 26px;
    height: 26px;
  }

  .recommendation-slider__btn--prev {
    left: 10px;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    background-image: url(/common/images/icon_arrow-prev-2.png);
  }

  .recommendation-slider__btn--next {
    right: 10px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    background-image: url(/common/images/icon_arrow-next-2.png);
  }

  .recommendation-slider__btn--prev:active {
    background-position: 43% 50%;
  }

  .recommendation-slider__btn--next:active {
    background-position: 57% 50%;
  }
}

